package com.engine.organization.service.impl;

import com.engine.core.impl.Service;
import com.engine.organization.entity.po.Demo;
import com.engine.organization.mapper.DemoMapper;
import com.engine.organization.service.DemoService;
import com.engine.organization.util.OrganizationAssert;
import com.engine.organization.util.db.MapperProxyFactory;
import com.engine.organization.wrapper.DemoWrapper;

import java.util.List;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/4/27
 * @Version V1.0
 **/
public class DemoServiceImpl extends Service implements DemoService {

    @Override
    public List<Demo> list(String name) {
        OrganizationAssert.notNull(name,"参数不能为空");
        return MapperProxyFactory.getProxy(DemoMapper.class).listAll();

    }
}
